python3-googleapi_1.5.5-1_all.deb


Advertisement

Description

python3-googleapi - Google APIs Client Library - Python 3.x

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename python3-googleapi_1.5.5-1_all.deb
Package name python3-googleapi
Package version 1.5.5
Package release 1
Package architecture all
Package type deb
Category python
Homepage https://github.com/google/google-api-python-client
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 41.53 KB
Installed size 185.00 KB
This package contains the Google APIs Client Library for Python, which is the
core Python library for accessing. Samples are available in the
python-googleapi-samples package.
This package provides the Python 3.x module.

Alternatives

Package Version Architecture Repository
python3-googleapi_1.5.5-1_all.deb 1.5.5 all Debian Main
python3-googleapi - - -

Requires

Name Value
python3-httplib2 >= 0.8
python3-oauth2client >= 2.0.0
python3-six >= 1.6.1
python3-uritemplate >= 0.6
python3:any >= 3.3.2-2~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-googleapi_1.5.5-1_all.deb
Source Package python-googleapi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-googleapi deb package:
    # sudo apt-get install python3-googleapi

Files

Path
/usr/lib/python3/dist-packages/apiclient/__init__.py
/usr/lib/python3/dist-packages/google_api_python_client-1.5.5.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/google_api_python_client-1.5.5.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/google_api_python_client-1.5.5.egg-info/requires.txt
/usr/lib/python3/dist-packages/google_api_python_client-1.5.5.egg-info/top_level.txt
/usr/lib/python3/dist-packages/googleapiclient/__init__.py
/usr/lib/python3/dist-packages/googleapiclient/channel.py
/usr/lib/python3/dist-packages/googleapiclient/discovery.py
/usr/lib/python3/dist-packages/googleapiclient/errors.py
/usr/lib/python3/dist-packages/googleapiclient/http.py
/usr/lib/python3/dist-packages/googleapiclient/mimeparse.py
/usr/lib/python3/dist-packages/googleapiclient/model.py
/usr/lib/python3/dist-packages/googleapiclient/sample_tools.py
/usr/lib/python3/dist-packages/googleapiclient/schema.py
/usr/lib/python3/dist-packages/googleapiclient/discovery_cache/__init__.py
/usr/lib/python3/dist-packages/googleapiclient/discovery_cache/appengine_memcache.py
/usr/lib/python3/dist-packages/googleapiclient/discovery_cache/base.py
/usr/lib/python3/dist-packages/googleapiclient/discovery_cache/file_cache.py
/usr/share/doc/python3-googleapi/changelog.Debian.gz
/usr/share/doc/python3-googleapi/changelog.gz
/usr/share/doc/python3-googleapi/copyright

Changelog

2016-11-19 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.5.5-1) unstable; urgency=low
* New upstream release.
* Update debhelper level to 10 .
2016-08-27 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.5.2-1) unstable; urgency=low
* New upstream release.
2016-06-11 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.5.1-1) unstable; urgency=low
* New upstream release.
* Update Standards-Version to 3.9.8 .
2016-04-24 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.5.0-2) unstable; urgency=low
* Upload to Sid.
[ David Della Vecchia <ddv@canonical.com> ]
* d/rules: Add build tests (closes: #814934).
* d/control: Add build-deps to support tests.
2016-03-26 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.5.0-1) experimental; urgency=low
* New upstream release.
* Update Standards-Version to 3.9.7 .
2016-01-11 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.4.2-1) unstable; urgency=low
* New upstream release.
2015-07-05 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.4.1-1) unstable; urgency=low
* New upstream release (closes: #760941).
* Updated oauth2client solves GoogleCredentials problem (closes: #789253).
* Version packages dependencies.
2015-06-05 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.4.0-1) unstable; urgency=low
* New upstream release.
* Update to Python Policy.
* Remove unused patches.
* Update project homepage.
* Add watch file.
* Update Standards-Version to 3.9.6 .
2014-09-08 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.2-3) unstable; urgency=low
* Update Standards-Version to 3.9.5 .
[ Thomas Goirand <zigo@debian.org> ]
* Added Python3 support (closes: #759712).
* Did a bit of clean-up in debian/rules.
2013-10-09 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-googleapi (1.2-2) unstable; urgency=low
* Don't install already packaged python libraries (closes: #725662, #725663).

See Also

Package Description
python3-gpapi_0.4.3-1_all.deb Unofficial python API for Google Play
python3-gpg_1.12.0-6_i386.deb Python interface to the GPGME GnuPG encryption library (Python 3)
python3-gphoto2_1.9.0-1_i386.deb Python interface to libgphoto2 (Python 3)
python3-gphoto2cffi_0.4.3~a1-1_i386.deb GPhoto2 bindings with simpler API
python3-gpiozero_1.4.1-1.1_i386.deb simple interface to everyday GPIO components used with Raspberry Pi (Python 3)
python3-gpxpy_1.3.4-1_all.deb GPX file parser and GPS track manipulation library (Python 3)
python3-gpyfft_0.7.0-1+b1_i386.deb Wrapper for the OpenCL FFT library clFFT (Python 3)
python3-grapefruit_0.1~a3+dfsg-6_all.deb Python module to manipulate color information easily (Python 3)
python3-graphite2_1.3.13-7_all.deb Python bindings for libgraphite2
python3-graphviz_0.8.4-2_all.deb Simple Python 3 interface for Graphviz
python3-graypy_0.2.14-1_all.deb Python logging handler that sends messages in GELF (Python 3)
python3-greenlet_0.4.15-2_i386.deb Lightweight in-process concurrent programming (python3)
python3-grib_2.0.4-1_i386.deb Python 3 module for reading and writing GRIB files
python3-gribapi_1.28.0-2_i386.deb Python3 module for the ECMWF GRIB API library
python3-gridfs_3.7.1-1.1_all.deb Python3 implementation of GridFS for MongoDB
Advertisement
Advertisement